average_images(1)

NAME
average_images - Average images

SYNOPSIS
average_images [options] image0 ...

DESCRIPTION
This tool computes pixelwiase average, variance, standard deviation, z-score, or entropy images from a list of user-provided intensity images.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--mode
    Mode of averaging operation Supported values: "avg", "var", "stdev", "zscore", "entropy", where the default is "avg", or use one of the following:

    --avg
        Compute average (i.e., mean) image [This is the default]

    --var
        Compute variance image

    --stdev
        Compute standard deviation image

    --zscore
        Compute z-score image

    --entropy
        Compute pixel-by-pixel population entropy image

  Data Preprocessing

--log, -l
    Apply log to input data

--abs, -a
    Use absolute input values

--normalize-mean-stdev, -n
    Normalize image intensities using means and standard deviations

--set-padding-value <double>
    Define padding value in input images [Default: disabled]

  Output Options

--outfile-name <string>, -o <string>
    Output file name [Default: average.nii ]

--type
    Scalar data type of output image. Supported values: "float", "double", where the default is "float", or use one of the following:

    --float
        Single-precision float. [This is the default]

    --double
        Double-precision float.

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.